Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 01-04-2017 10:48:00

debianux
Membre
Distrib. : debian-jessie-8.7_LVM-chiffré_dual-boot-uefi-w10
Noyau : Linux 4.7.0-0.bpo.1-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

[resolu] gradio : installation : compilation

Bonjour,

radiotray n'arrivant plus à ouvrir de station, j'ai cherché une alternative : gradio, qui n'est pas un package debian : compilation nécessaire :
https://github.com/haecker-felix/gradio

à partir de '~/Téléchargements/gradio'

./autogen.sh
 



./autogen.sh: 1: ./autogen.sh: autoconf: not found
*** WARNING: I am going to run `configure' with no arguments.
*** If you wish to pass any to it, please specify them on the
*** `./autogen.sh\' command line.

./autogen.sh: 25: ./autogen.sh: aclocal: not found
 



le readme indique des dépendances et j'ai mis en face ce qui est déjà ou a été installé sur le pc de mon profil df :

## Technical Details
### Dependencies
For gradio:
* glib-2.0  >>>>  libglib2.0-0
* gtk+-3.0 _>=3.14_   >>>>  Paquet libgtk-3-0 :   i A 3.14.5-1+deb8u1
* gstreamer-1.0   >>>>  Paquet gstreamer1.0-gnonlin : i A 1.2.1-1  ;   Paquet gstreamer1.0-libav : i A 1.4.4-2   ;   Paquet gstreamer1.0-plugins-bad : i A 1.4.4-2.1+deb8u2   ;   Paquet gstreamer1.0-plugins-base : i A 1.4.4-2+deb8u1   ;   Paquet gstreamer1.0-plugins-good : i A 1.4.4-2+deb8u3   ;   Paquet gstreamer1.0-plugins-ugly : i A 1.4.4-2+deb8u1   ;   Paquet gstreamer1.0-pulseaudio : i A 1.4.4-2+deb8u3   ;   Paquet gstreamer1.0-x : i A 1.4.4-2+deb8u1   ;   Paquet libgstreamer1.0-0 : i A 1.4.4-2+deb8u1
* json-glib-1.0   >>>>   Paquet libjson-glib-1.0-0 :  i A 1.0.2-1   ;   Paquet libjson-glib-1.0-common : i A 1.0.2-1
* gio-2.0   >>>> libglib2.0-dev (2.42.1-1+b1)
* webkit2gtk-4.0  >>>> libwebkit2gtk-4.0-37
* libsoup-2.4  >>> libsoup2.4-1 (déjà installé)

For compiling:
* git   >>>>   git (1:2.1.4-2.1+deb8u2)
* General c/c++ libs & compiler  >>>> gcc-4.9
* appstream-util / appstream-glib   >>>> appstream-util (0.3.0-1)  ;  libappstream-glib7



une idée ?

merci d'avance
cordialement
debianux

Dernière modification par debianux (03-04-2017 09:58:28)

Hors ligne

#2 01-04-2017 11:30:29

debianux
Membre
Distrib. : debian-jessie-8.7_LVM-chiffré_dual-boot-uefi-w10
Noyau : Linux 4.7.0-0.bpo.1-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] gradio : installation : compilation

entre temps j'ai réussi à retrouver des flux radio, radio-france, qui marchent sur radiotray smile
mais ce serait même bien de comprendre ce qui coince avec gradio smile

Hors ligne

#3 02-04-2017 09:04:53

golgot200
Membre
Inscription : 05-08-2007

Re : [resolu] gradio : installation : compilation

Bonjour,

./autogen.sh: autoconf: not found




apt-get install autoconf
 



aclocal: not found




apt-get install automake
 

Dernière modification par golgot200 (02-04-2017 09:08:36)

Hors ligne

#4 02-04-2017 17:56:51

debianux
Membre
Distrib. : debian-jessie-8.7_LVM-chiffré_dual-boot-uefi-w10
Noyau : Linux 4.7.0-0.bpo.1-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] gradio : installation : compilation

bonjour golgot200 et merci smile

Hors ligne

#5 03-04-2017 04:31:38

golgot200
Membre
Inscription : 05-08-2007

Re : [resolu] gradio : installation : compilation

De rien smile

Au cas où :

apt-get install cmake intltool libglib2.0-dev libgtk-3-dev libgstreamer1.0-dev libgstreamer-plugins-base1.0-dev libjson-glib-dev libglib2.0-dev libsoup2.4-dev valac
 

Hors ligne

#6 03-04-2017 09:43:11

debianux
Membre
Distrib. : debian-jessie-8.7_LVM-chiffré_dual-boot-uefi-w10
Noyau : Linux 4.7.0-0.bpo.1-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] gradio : installation : compilation

bonjour golgot200 et re-merci!
hier j'avais rédigé une 'longue' réponse, indiquant précisément les dépendances sur lesquelles je 'butais', et je me suis pas rendu compte que ma connexion à df n'était pas 'permanente' : oublié de cocher la petite case : quand j'ai cliqué sur 'valider' : bye-bye la saisie sad et pas eu le courage de recommencer le jour même smile
et là, tu me simplifies la tâche smile

Hors ligne

#7 03-04-2017 09:58:00

debianux
Membre
Distrib. : debian-jessie-8.7_LVM-chiffré_dual-boot-uefi-w10
Noyau : Linux 4.7.0-0.bpo.1-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] gradio : installation : compilation

super !
installé et ça marche smile

Hors ligne

#8 28-01-2018 14:52:08

Tristan07
Adhérent(e)
Distrib. : Debian 9, Stretch
Noyau : Linux 4.9.0-4-amd64
(G)UI : Gnome 3.22
Inscription : 21-05-2016
Site Web

Re : [resolu] gradio : installation : compilation

Bonjour.
Il y a un .deb pour semble t-il Debian 8 ici sur opensuse.org
https://software.opensuse.org/package/gradio

Merci à nos amis Caméléons ! Je l'utilisait sous opensuse justement et franchement c'est un très bon logiciel qui permet aussi nombres de découvertes !
C'est fonctionnel sous d'autres environnements (testé kde)
Sous Gnome pour les radio il y a aussi une extension qui se nomme Gradio. Elle permet de rentrer les flux un peu comme radiotray.
bon dimanche

Debian Stable est ce qui rend la vie plus intéressante que l'informatique ( voir Robert Filliou pour l'origine de cette citation smile
Debian c'est pas difficile ! zen.gif
https://lescahiersdudebutant.fr/
Pour une aide efficace sur le forum : https://debian-facile.org/viewtopic.php?id=13352

Hors ligne

Pied de page des forums